The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

MySQL 4.1.x Support Gone?

Discussion in 'General Discussion' started by mitgib, Mar 17, 2007.

  1. mitgib

    mitgib Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2006
    Messages:
    59
    Likes Received:
    0
    Trophy Points:
    6
    Did a fresh install for a new server last night, this morning while getting it set the rest of the way, I come to find there is no option any longer for MySQL 4.1.x

    WHM 10.8.0 cPanel 10.9.0-R7965
    Fedora i686 - WHM X v3.1.0

    # uname -r
    2.6.20-1.2300.fc5

    I mainly host a paid email script that will not run under MySQL 5.0.x so any suggestions to get this server downgraded?
     
  2. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    I've noted that on newer Fedora releases (namely FC 5 and newer), but I've yet to have the time to determine why.

    Edit /var/cpanel/cpanel.conf and change the mysqlversion (that may not be the exact text) from 5 to 4.1 then execute /scripts/mysqlup it will downgrade you to 4.1.21

    You might want to rename /var/lib/mysql before doing this
     
  3. big

    big Well-Known Member

    Joined:
    Aug 12, 2001
    Messages:
    224
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Earth
    how about 4.1 to 4.0 same idea?
     
Loading...

Share This Page